/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-17 16:33:36.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.api.provider;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.core.print.api.PrintingProjectCloudService;
import cn.com.qmth.examcloud.core.print.api.request.PrintingProjectListReq;
import cn.com.qmth.examcloud.core.print.api.response.PrintingProjectListResp;
import cn.com.qmth.examcloud.core.print.service.PrintingProjectService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 印刷项目相关接口
 *
 * @author: fengdesheng
 * @since: 2018/10/17
 */
@RestController
@Api(tags = "印刷项目相关接口")
@RequestMapping("${$rmp.cloud.print}/printing/project")
public class PrintingProjectCloudServiceProvider extends ControllerSupport implements PrintingProjectCloudService {
    @Autowired
    private PrintingProjectService printingProjectService;

    @Override
    public PrintingProjectListResp printingProjectList(PrintingProjectListReq request) {
        //to do
        return new PrintingProjectListResp();
    }

}